Page MenuHomeFreeBSD

Create one list of replacements for MACHINE_CPUARCH as MACHINE_CPUARCH_SUB.
AcceptedPublic

Authored by bdrewery on Jul 8 2016, 7:25 PM.

Details

Summary

This also adds missing s/aarch64/arm64 to the sys.mk version and also
adds back armv6hf for universe since it was added to the sys.mk version
in r300438.

MFC after: 3 days
Sponsored by: EMC / Isilon Storage Division

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bdrewery updated this revision to Diff 18226.Jul 8 2016, 7:25 PM
bdrewery retitled this revision from to Create one list of replacements for MACHINE_CPUARCH as MACHINE_CPUARCH_SUB..
bdrewery updated this object.
bdrewery edited the test plan for this revision. (Show Details)
bdrewery added reviewers: imp, jhibbits, ian, andrew.
jhibbits accepted this revision.Jul 8 2016, 7:33 PM
jhibbits edited edge metadata.
This revision is now accepted and ready to land.Jul 8 2016, 7:33 PM
This revision was automatically updated to reflect the committed changes.
bdrewery reopened this revision.Jul 13 2016, 1:36 AM
This revision is now accepted and ready to land.Jul 13 2016, 1:36 AM
bdrewery added inline comments.Jul 13 2016, 1:37 AM
head/share/mk/sys.mk
19

Adding C/aarch64/arm64/ here breaks everything for arm64 since it thought its MACHINE_CPUARCH was aarch64 rather than arm64, which universe was using even.

The code in each of these files was reworked in 2017 (after this DR was created). The patches will no longer apply.

Is there any reason to keep it open? Have all the problems been fixed by now?

imp added inline comments.Jan 5 2020, 11:41 PM
head/share/mk/sys.mk
19

Yes. MACHINE_CPUARCH should be aarch64, since that's the directory name we use in user land...